Subject: Re: [GSoC PATCH v7 3/5] repo: add the field layout.bare

From: Lucas Seiki Oshiro <[email-masked]>
Date: Sun, 3 Aug 2025 19:54:22 -0300

> The quote placement used in these calls to `test_repo_info` is quite
> unusual and more than a little confusing. I'm guessing you did it this
> way to avoid having to use a backslash to continue the line or did it
> to mimic how `test_expect/fail` is called

Yeah, that's true :-). I'll change it. However, in the next patch, where
I add `repository.shallow`, I need a more complex script for creating
a shallow repository which needs several lines. In this case, do you
think it would it be better to use the backslash before the line break
or would it be like it currently is?

Thanks!